Groovy 1.7.10

## groovy.mock.interceptor
[Groovy] Class MockInterceptor

    java.lang.Object
      groovy.mock.interceptor.MockInterceptor

All Implemented Interfaces:
  PropertyAccessInterceptor

    class MockInterceptor
    extends Object

Intercepting calls to the collaborating object and notify the expectation object.

Authors:
  Dierk Koenig

Property Summary
`def` | `expectation`

Method Summary
`def` | `afterInvoke(Object object, String methodName, Object[] arguments, Object result)`
`def` | `beforeGet(Object object, String property)`
`def` | `beforeInvoke(Object object, String methodName, Object[] arguments)`
`void` | `beforeSet(Object object, String property, Object newValue)`
`boolean` | `doInvoke()`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Property Detail

### expectation

    def expectation

Method Detail

### afterInvoke

    def afterInvoke(Object object, String methodName, Object[] arguments, Object result)

### beforeGet

    def beforeGet(Object object, String property)

### beforeInvoke

    def beforeInvoke(Object object, String methodName, Object[] arguments)

### beforeSet

    void beforeSet(Object object, String property, Object newValue)

### doInvoke

    boolean doInvoke()

Copyright © 2003-2010 The Codehaus. All rights reserved.